## GogGrid

GogGrid

## Synopsis

                        GogGrid;
    enum                GogGridType;
    GogGridType         gog_grid_get_gtype                  (GogGrid const *grid);
    void                gog_grid_set_gtype                  (GogGrid *grid,
                                                             GogGridType type);

## Object Hierarchy

      GObject
       +----GogObject
             +----GogStyledObject
                   +----GogGrid

## Implemented Interfaces

GogGrid implements GOStyledObject.

## Properties

      "type"                     gint                  : Read / Write

## Description

## Details

### GogGrid

    typedef struct _GogGrid GogGrid;

### enum GogGridType

    typedef enum {
    	GOG_GRID_UNKNOWN = -1,
    	GOG_GRID_XY,
    	GOG_GRID_YZ,
    	GOG_GRID_ZX,
    	GOG_GRID_TYPES
    } GogGridType;

### gog_grid_get_gtype ()

    GogGridType         gog_grid_get_gtype                  (GogGrid const *grid);

`grid` : |
Returns : |

### gog_grid_set_gtype ()

    void                gog_grid_set_gtype                  (GogGrid *grid,
                                                             GogGridType type);

`grid` : |
`type` : |

## Property Details

### The `"type"` property

      "type"                     gint                  : Read / Write

Numerical type of this backplane.

Allowed values: [-1,3]

Default value: -1